Bug 1146002

Summary: RFE: New Default Console Font
Product: [Fedora] Fedora Reporter: Marko Myllynen <myllynen>
Component: langtableAssignee: Mike FABIAN <mfabian>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i18n-bugs, mfabian, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-14 10:54:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1182479    

Description Marko Myllynen 2014-09-24 09:29:51 UTC
A new console font, eurlatgr, was recently added to kbd and it should be better default console font for European based languages written in Latin or Greek script. eurlatgr is based on latarcyrheb-sun16 so the typeface does not change.

eurlatgr would bring these changes over the current default latarcyrheb-sun16:

* full compatibility with latarcyrheb-sun16 for Latin script and special characters
 - Arabic/Cyrillic/Hebrew are not supported at all by eurlatgr so those users should still stay with latarcyrheb-sun16
 - non-European languages written in Latin script (like Vietnamese) are not fully supported but perhaps a bit more so than with latarcyrheb-sun16
 - the only non-Arabic/Cyrillic/Hebrew characters not present in eurlatgr but in latarcyrheb-sun16 are U+F800 and U+F804 which are not valid Unicode characters so the use case for them is unclear, especially today. These could be re-added if there's a real need for them but if not, dropping them is ok
* full support for all European languages written in Latin script
* full support for Greek
* full support for a huge list of characters and character sets (see [1])
* support for a wide range of accented Latin characters not present in latarcyrheb-sun16 to allow people to write their names correctly
* support for glyphs used by some systemd(1) utilities
* support for glyphs used by man(1) (see e.g. the bottom of unicode(7) how some characters are not displayed properly under latarcyrheb-sun16)
* support for glyphs that have become popular recently, like the smiley
(☺) and arrows (e.g. →)

Note that there is a hard limit of 512 glyphs for console fonts so having more glyphs available in a console font is not possible unless remapping some characters to others. Not all remappings in eurlatgr are less pixel-perfect but still give a good idea what a character is supposed to be rather than merely displaying the "box" to indicate an unsupported character.

1) http://git.altlinux.org/people/legion/packages/kbd.git?p=kbd.git;a=blob;f=data/consolefonts/README.eurlatgr

Thanks.

Comment 1 Marko Myllynen 2015-04-07 12:09:09 UTC
I think langtable itself works correctly (at least in general), for example:

[root@localhost ~]# cat test.py 
#!/usr/bin/python3

import langtable
from langtable import list_consolefonts

print(list_consolefonts(languageId="de", territoryId="DE"))
print(list_consolefonts(languageId="fi"))
print(list_consolefonts(territoryId="GR"))
print(list_consolefonts(languageId="ru", territoryId="RU"))
print(list_consolefonts(languageId="ru"))
print(list_consolefonts(languageId="he"))
[root@localhost ~]# python3 ./test.py
['eurlatgr']
['eurlatgr']
['eurlatgr', 'iso07u-16', 'LatGrkCyr-8x16']
['latarcyrheb-sun16']
['latarcyrheb-sun16']
['latarcyrheb-sun16']
[root@localhost ~]# rpm -q langtable langtable-python3
langtable-0.0.31-1.fc22.noarch
langtable-python3-0.0.31-1.fc22.noarch
[root@localhost ~]# 

Thanks.